package com.yd.csf.api.service;

import com.yd.common.result.Result;
import com.yd.csf.feign.dto.appointment.ApiProductPlanInfoDto;
import com.yd.csf.feign.dto.appointment.ApiProductPlanMainInfoDto;
import com.yd.csf.service.model.ProductPlan;

public interface ApiProductPlanService {

    Result<ApiProductPlanInfoDto> detail(String appointmentBizId,String planBizId);

    Result<ApiProductPlanMainInfoDto> mainDetail(String appointmentBizId,String planBizId);

    Result edit(ApiProductPlanMainInfoDto apiProductPlanMainInfoDto);

    Result editPlan(ApiProductPlanInfoDto apiProductPlanInfoDto);

    Result<ProductPlan> addProductPlanData(ApiProductPlanInfoDto dto, String appointmentBizId);

    Result<ProductPlan> editProductPlanData(ApiProductPlanInfoDto dto,String appointmentBizId);
}
